(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     28564,        775]
NotebookOptionsPosition[     27578,        744]
NotebookOutlinePosition[     28044,        762]
CellTagsIndexPosition[     28001,        759]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.795918162671875*^9, 3.795918175078125*^9}, {
  3.79591830696875*^9, 3.795918307390625*^9}, {3.79591845759375*^9, 
  3.795918458609375*^9}},
 ExpressionUUID -> "c1754577-7b23-450e-91b5-9be5e68cd5db"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "jelikoz", " ", "nepotrebujeme", " ", "vysledky", " ", "v", " ", 
     "symbolickem", " ", "tvaru"}], ",", " ", 
    RowBox[{
    "muzeme", " ", "si", " ", "hodnoty", " ", "soucastek", " ", "a", " ", 
     "omegu", " ", "klidne", " ", "zavest", " ", "jako", " ", "globalni", " ",
      "promenne"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"nabidka", ":", " ", 
     RowBox[{"prepiste", " ", "tento", " ", "notebook", " ", "tak"}]}], ",", 
    " ", 
    RowBox[{
    "ze", " ", "hodnoty", " ", "soucastek", " ", "a", " ", "zdroju", " ", 
     "jsou", " ", "nikoli", " ", "globalni", " ", "promenne"}], ",", " ", 
    RowBox[{
    "ale", " ", "jsou", " ", "v", " ", "listu", " ", "dosazovacich", " ", 
     "pravidel"}], ",", " ", 
    RowBox[{"poslete", " ", "to", " ", "na", " ", 
     RowBox[{
      RowBox[{"kyncl", "@", "fel"}], ".", "cvut", ".", "cz"}], " ", "a", " ", 
     "dostanete", " ", "body"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Omega]", "=", "314."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "pro", " ", "program", " ", "u1", " ", "a", " ", "u2", " ", 
      "nepotrebujeme"}], ",", " ", 
     RowBox[{"fazory", " ", "udelame", " ", "rucne"}], ",", " ", 
     RowBox[{
     "ale", " ", "aby", " ", "ta", " ", "informace", " ", "v", " ", "tomto", 
      " ", "notebooku", " ", "byla"}], ",", " ", 
     RowBox[{"nechali", " ", "jsme", " ", "je", " ", "tady"}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"kdyz", " ", "si", " ", "zkusite", " ", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Im", "[", 
          RowBox[{"U1", "*", 
           SuperscriptBox["E", 
            RowBox[{"I", "*", "\[Omega]", "*", "t"}]]}], "]"}], "-", 
         RowBox[{"u1", "[", "t", "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "0.01"}], "}"}]}], "]"}], " ", 
      "uvidite"}], ",", " ", 
     RowBox[{
     "ze", " ", "o", " ", "prevodu", " ", "mezi", " ", "fazory", " ", "a", 
      " ", "casovou", " ", "oblasti", " ", "vam", " ", "nelzeme"}], ",", " ", 
     RowBox[{
     "to", " ", "ze", " ", "nevidite", " ", "cistou", " ", "nulu", " ", "je", 
      " ", "dano", " ", "zaokrouhlovacimi", " ", "chybami", " ", "pri", " ", 
      "vycislovani", " ", "vyrazu"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"u1", "[", "t_", "]"}], ":=", 
     RowBox[{
      SqrtBox["2."], "*", "230", "*", 
      RowBox[{"Sin", "[", 
       RowBox[{
        RowBox[{"\[Omega]", "*", "t"}], "+", "0.1"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"u2", "[", "t_", "]"}], ":=", 
     RowBox[{
      SqrtBox["2."], "*", "230", "*", 
      RowBox[{"Sin", "[", 
       RowBox[{
        RowBox[{"\[Omega]", "*", "t"}], "-", "0.1"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"U1", "=", 
     RowBox[{
      SqrtBox["2."], "*", "230", "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"+", "0.1"}], "*", "I"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"U2", "=", 
     RowBox[{
      SqrtBox["2."], "*", "230", "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "0.1"}], "*", "I"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"R1", "=", "1."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"R2", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mH", "=", "0.001"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"L1", "=", 
     RowBox[{"10", "mH"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"L2", "=", 
     RowBox[{"10", "mH"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Rz", "=", "15"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Lz", "=", 
     RowBox[{"50", "mH"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.79591817990625*^9, 3.79591823984375*^9}, {
   3.795918280421875*^9, 3.795918338796875*^9}, {3.79591836903125*^9, 
   3.795918388828125*^9}, 3.795918422625*^9, {3.795918473*^9, 
   3.795918581921875*^9}, {3.795918623*^9, 3.79591862825*^9}, {
   3.795918667125*^9, 3.7959186705*^9}, {3.795919041671875*^9, 
   3.79591906025*^9}, {3.7964583768125*^9, 3.796458423*^9}, {
   3.7964634261875*^9, 3.7964634861875*^9}, {3.79646353253125*^9, 
   3.796463579015625*^9}, 3.796463609109375*^9, {3.79646363965625*^9, 
   3.7964637260625*^9}, {3.796463763421875*^9, 3.796463765328125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"rovnice", " ", "uzlu"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"uzela", "=", 
     RowBox[{"iR1", "\[Equal]", "iL1"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"uzelb", "=", 
     RowBox[{"iR2", "\[Equal]", "iL2"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"uzelz", "=", 
     RowBox[{
      RowBox[{"iL1", "+", "iL2"}], "\[Equal]", 
      RowBox[{"iRz", "+", "iLz", "+", "iCz"}]}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.7964584538125*^9, 3.796458573484375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"rovnice", " ", "soucastek"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"pripominam", ",", " ", 
    RowBox[{
    "ze", " ", "v", " ", "HUS", " ", "nahrazujeme", " ", "derivace", " ", 
     "nasobenim", " ", "I", "*", "\[Omega]"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "rovnice", " ", "rezistoru", " ", "zadnou", " ", "derivaci", " ", 
     "nema"}], ",", " ", 
    RowBox[{"takze", " ", "se", " ", "zmeni", " ", "jen", " ", "tak"}], ",", 
    " ", 
    RowBox[{"ze", " ", "nepiseme", " ", 
     RowBox[{"uR", "[", "t", "]"}], " ", "a", " ", 
     RowBox[{"iR", "[", "t", "]"}]}], ",", " ", 
    RowBox[{
     RowBox[{
     "ale", " ", "jen", " ", "uR", " ", "a", " ", "iR", " ", "a", " ", 
      "plati", " ", "uR"}], "\[Equal]", 
     RowBox[{"R", "*", "iR"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"rovnice", " ", "civky", " ", 
     RowBox[{"uL", "[", "t", "]"}]}], "\[Equal]", 
    RowBox[{"L", "*", 
     RowBox[{
      RowBox[{"iL", "'"}], "[", "t", "]"}], " ", "prejde", " ", "v", " ", 
     "rovnici", " ", "uL"}], "\[Equal]", 
    RowBox[{"I", "*", "\[Omega]", "*", "iL"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"rovnice", " ", "kondenzatoru", " ", "je", " ", "obecne", " ", 
      RowBox[{"ic", "[", "t", "]"}]}], "\[Equal]", 
     RowBox[{"C", "*", 
      RowBox[{
       RowBox[{"uC", "'"}], "[", "t", "]"}]}]}], ",", " ", 
    RowBox[{
     RowBox[{
     "prejde", " ", "v", " ", "HUS", " ", "v", " ", "rovnici", " ", "ic"}], 
     "\[Equal]", 
     RowBox[{"I", "*", "\[Omega]", "*", "uC"}]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "vyhoda", " ", "HUS", " ", "je", " ", "mimojine", " ", "v", " ", "tom"}], 
    ",", " ", 
    RowBox[{
     RowBox[{
     "ze", " ", "muzeme", " ", "tuto", " ", "rovnici", " ", "prepsat", " ", 
      "do", " ", "tvaru", " ", "uC"}], "\[Equal]", 
     RowBox[{"iC", "*", 
      FractionBox["1", 
       RowBox[{"I", "*", "\[Omega]", "*", "C"}]]}]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "pak", " ", "maji", " ", "vsechny", " ", "rovnice", " ", "stejny", " ", 
     "tvar"}], ",", " ", 
    RowBox[{
     RowBox[{"tedy", " ", "u"}], "\[Equal]", 
     RowBox[{"Z", "*", "i"}]}], ",", " ", 
    RowBox[{
     RowBox[{"kde", " ", "pro", " ", "rezistor", " ", "je", " ", "ZR"}], "=", 
     "R"}], ",", " ", 
    RowBox[{
     RowBox[{"pro", " ", "civku", " ", "ZL"}], "=", 
     RowBox[{
      RowBox[{
      "I", "*", "\[Omega]", "*", "C", " ", "a", " ", "pro", " ", 
       "kondenzator", " ", "ZC"}], "==", 
      FractionBox["1", 
       RowBox[{"I", "*", "\[Omega]", "*", "C"}]]}]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"ZR", ",", "ZC", ",", 
    RowBox[{"ZL", " ", "jsou", " ", 
     RowBox[{"tzv", ".", " ", "impedance"}]}], ",", " ", 
    RowBox[{"jednotku", " ", "maji", " ", "ohm"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "vyhoda", " ", "impedanci", " ", "je", " ", "i", " ", "v", " ", "tom"}], 
    ",", " ", 
    RowBox[{
    "ze", " ", "je", " ", "muzeme", " ", "seriove", " ", "a", " ", 
     "paralelne", " ", "radit", " ", 
     RowBox[{"(", 
      RowBox[{
      "tedy", " ", "nakradit", " ", "vice", " ", "soucastek", " ", "seriove", 
       " ", "ci", " ", "paralelne", " ", "jednou", " ", "impedanci"}], ")"}], 
     " ", "stejne", " ", "jako", " ", "rezistory", " ", "a", " ", "to", " ", 
     "i", " ", "ruzne", " ", "soucastky"}], ",", " ", 
    RowBox[{"to", " ", "je", " ", "mozne", " ", "jen", " ", "v", " ", "HUS"}],
     ",", " ", 
    RowBox[{
    "obecne", " ", "muzeme", " ", "nahrazovat", " ", "jednou", " ", 
     "soucastkou", " ", "jen", " ", "vice", " ", "soucastek", " ", "stejnych",
      " ", "tedy", " ", "z", " ", "vice", " ", "rezistoru", " ", "udelat", 
     " ", "jeden"}], ",", " ", 
    RowBox[{"z", " ", "vice", " ", "civek", " ", "jednu", " ", 
     RowBox[{"atd", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"POZOR", "!!"}], "!"}], " ", "ve", " ", "Wolframu", " ", 
     "nemuzeme", " ", "pouzit", " ", "pro", " ", "kapacitu", " ", "jen", " ", 
     "velke", " ", "C"}], ",", " ", 
    RowBox[{"tento", " ", "symbol", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"vsimnete", " ", "si"}], ",", " ", 
       RowBox[{"ze", " ", "velke", " ", "C", " ", "neni", " ", "nikdy", " ", 
        RowBox[{"modre", "!"}]}]}], ")"}], " ", "ma", " ", "Wolfram", " ", 
     "rezervovany", " ", "pro", " ", "jine", " ", "ucely"}], ",", " ", 
    RowBox[{
    "napriklad", " ", "pro", " ", "konstanty", " ", "v", " ", "obecnem", " ", 
     "reseni", " ", "diferencialnich", " ", "rovnic", " ", "pomoci", " ", 
     "DSolve"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"nam", " ", "to", " ", "nevadi"}], ",", " ", 
    RowBox[{
    "protoze", " ", "se", " ", "kondenzator", " ", "jmenuje", " ", "Cz"}]}], 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.7964585819375*^9, 3.796458585703125*^9}, {
  3.796458674046875*^9, 3.796458974140625*^9}, {3.79645902625*^9, 
  3.79645917978125*^9}, {3.79645921440625*^9, 3.796459218203125*^9}, {
  3.796459483328125*^9, 3.79645949784375*^9}, {3.79645958659375*^9, 
  3.79645977625*^9}, {3.796463800859375*^9, 3.79646384771875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"rovnice", " ", "soucastek"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"rezistorR1", "=", 
     RowBox[{
      RowBox[{"U1", "-", "Ua"}], "\[Equal]", 
      RowBox[{"R1", "*", "iR1"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rezistorR2", "=", 
     RowBox[{
      RowBox[{"U2", "-", "Ub"}], "\[Equal]", 
      RowBox[{"R2", "*", "iR2"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"civkaL1", "=", 
     RowBox[{
      RowBox[{"Ua", "-", "Uz"}], "\[Equal]", 
      RowBox[{"I", "*", "\[Omega]", "*", "L1", "*", "iL1"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"civkaL2", "=", 
     RowBox[{
      RowBox[{"Ub", "-", "Uz"}], "\[Equal]", " ", 
      RowBox[{"I", "*", "\[Omega]", "*", "L2", "*", "iL2"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rezistorRz", "=", 
     RowBox[{"Uz", "\[Equal]", 
      RowBox[{"Rz", "*", "iRz"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"civkaLz", "=", 
     RowBox[{"Uz", "\[Equal]", 
      RowBox[{"I", "*", "\[Omega]", "*", "Lz", "*", "iLz"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kondenzatorCz", "=", 
     RowBox[{"Uz", "\[Equal]", 
      RowBox[{"iCz", "*", 
       FractionBox["1", 
        RowBox[{"I", "*", "\[Omega]", "*", "Cz"}]]}]}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.796459236046875*^9, 3.796459507296875*^9}, {
  3.7964598215*^9, 3.79645982225*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"rovnice", " ", "dohromady"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"rce", "=", 
   RowBox[{"{", 
    RowBox[{
    "uzela", ",", "uzelb", ",", "uzelz", ",", "rezistorR1", ",", "rezistorR2",
      ",", "rezistorRz", ",", "civkaL1", ",", "civkaL2", ",", "civkaLz", ",", 
     "kondenzatorCz"}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.7964595241875*^9, 3.79645957553125*^9}, {
  3.796459799984375*^9, 3.7964598009375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"nezname", " ", "muzeme", " ", "vypsat", " ", "rucne"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"nezname", "=", 
     RowBox[{"{", 
      RowBox[{
      "iR1", ",", "iL1", ",", "iR2", ",", "iL2", ",", "iRz", ",", "iLz", ",", 
       "iCz", ",", "Ua", ",", "Ub", ",", "Uz"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"overime", ",", " ", 
     RowBox[{"ze", " ", "mame", " ", "stejny", " ", "pocet", " ", "rovnic"}], 
     ",", " ", 
     RowBox[{"jako", " ", "neznamych"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Length", "/@", 
    RowBox[{"{", 
     RowBox[{"rce", ",", "nezname"}], "}"}]}]}]}]], "Input",
 CellChangeTimes->{{3.796459837421875*^9, 3.796459967296875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"pro", " ", "zkoumave", " ", "hlavy"}], ",", " ", 
    RowBox[{
    "ktere", " ", "se", " ", "chteji", " ", "naucit", " ", "s", " ", 
     "Wolframem", " ", "vice", " ", "zit"}], ",", " ", 
    RowBox[{"ukazeme", " ", "dva", " ", "jine", " ", "zpusoby"}], ",", " ", 
    RowBox[{"jak", " ", "najit", " ", "nezname"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"muzeme", " ", "to", " ", "udelat", " ", 
     RowBox[{"napr", ".", " ", "pomoci"}], " ", "Cases"}], ",", " ", 
    RowBox[{
    "jelikoz", " ", "Cz", " ", "nema", " ", "zatim", " ", "zadnou", " ", 
     "hodnotu"}], ",", " ", 
    RowBox[{
    "muzeme", " ", "vyhledat", " ", "symbolicke", " ", "promenne", " ", "a", 
     " ", "z", " ", "nich", " ", "Cz", " ", "smazat"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"pamatujte", ",", " ", 
    RowBox[{"ze", " ", "VSECHNO", " ", "je", " ", "pattern"}], ",", " ", 
    RowBox[{"tento", " ", "velmi", " ", "konkretni"}], ",", " ", 
    RowBox[{"takze", " ", "nepotrbujeme", " ", "podtrzitka"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"pomNezname", "=", 
     RowBox[{"Union", "[", 
      RowBox[{"Cases", "[", 
       RowBox[{"rce", ",", "_Symbol", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"nezname", "=", 
    RowBox[{"DeleteCases", "[", 
     RowBox[{"pomNezname", ",", "Cz"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.79646000271875*^9, 3.796460240921875*^9}, {
  3.796463893203125*^9, 3.79646394559375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "samozrejme", " ", "se", " ", "muzeme", " ", "zbavit", " ", "Cz", " ", 
     "jako", " ", "symbolicke", " ", "promenne", " ", "snadno", " ", "tak"}], 
    ",", " ", 
    RowBox[{
    "ze", " ", "pomoci", " ", "pravidla", " ", "dosazeni", " ", "dosadime", 
     " ", "do", " ", "rovnic", " ", "nejakou", " ", "ciselnou", " ", 
     "hodnotu"}], " ", ",", " ", 
    RowBox[{
     RowBox[{"tedy", " ", "Cz"}], "\[Rule]", "0.123"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"pozor", ",", " ", 
    RowBox[{
     RowBox[{"nedavejte", " ", "Cz"}], "\[Rule]", "0"}], ",", " ", 
    RowBox[{
    "Cz", " ", "se", " ", "v", " ", "rovnicich", " ", "vyskytuje", " ", "ve", 
     " ", "jmenovateli"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"nezname", "=", 
   RowBox[{"Union", "[", 
    RowBox[{"Cases", "[", 
     RowBox[{
      RowBox[{"rce", "/.", 
       RowBox[{"Cz", "\[Rule]", "0.123"}]}], ",", "_Symbol", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.796460263515625*^9, 3.7964602645625*^9}, {
  3.796460324375*^9, 3.7964604655625*^9}, {3.796463966453125*^9, 
  3.796463988203125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "nyni", " ", "jiz", " ", "snadno", " ", "pomoci", " ", "Solve", " ", 
    "najdeme", " ", "reseni"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"zkuste", " ", "si", " ", "pouzit", " ", 
     RowBox[{"Solve", "[", 
      RowBox[{"rce", ",", "nezname"}], "]"}], " ", "misto", " ", 
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{"rce", ",", "nezname"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ",", " ", "uvidite", ",", " ", 
    RowBox[{
    "ze", " ", "pak", " ", "funkce", " ", "uz", " ", "bude", " ", "vracet", 
     " ", "List", " ", "obsahujici", " ", "cislo", " ", "a", " ", "ne", " ", 
     "jen", " ", "ono", " ", "cislo"}], ",", " ", 
    RowBox[{"to", " ", "by", " ", "nevadilo", " ", "prikazu", " ", "Plot"}], 
    ",", " ", 
    RowBox[{
    "ale", " ", "vadilo", " ", "by", " ", "to", " ", "prikazu", " ", 
     "FindRoot"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"reseni", "=", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"rce", ",", "nezname"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.79646053790625*^9, 3.796460594109375*^9}, {
  3.7964623151875*^9, 3.796462407828125*^9}, {3.796464010140625*^9, 
  3.796464010875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "a", " ", "jelikoz", " ", "mame", " ", "bud", " ", "resit", " ", "Uz", 
     " ", "pro", " ", "zadane", " ", "Cz"}], ",", " ", 
    RowBox[{
    "nebo", " ", "delat", " ", "graf", " ", "ci", " ", "hledat", " ", 
     "hodnotu", " ", "Cz", " ", "pro", " ", "zadane", " ", "Uz"}], ",", " ", 
    RowBox[{
    "udelame", " ", "si", " ", "uz", " ", "jako", " ", "funkci", " ", 
     "Cz"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "od", " ", "neznameho", " ", "napeti", " ", "Uz", " ", "jsme", " ", 
     "toto", " ", "napeti", " ", 
     RowBox[{"(", "funkci", ")"}], " ", "odlisili", " ", "tak"}], ",", " ", 
    RowBox[{"ze", " ", "jme", " ", "je", " ", "oznacili", " ", "uz"}]}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "uz", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"uz", "[", "Cz_", "]"}], "=", 
     RowBox[{"Uz", "/.", "reseni"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"funkci", " ", "si", " ", "vyzkousime", " ", "tak"}], ",", " ", 
     RowBox[{
     "ze", " ", "ji", " ", "zavolame", " ", "na", " ", "nejakou", " ", 
      "ciselnou", " ", "hodnotu", " ", "a", " ", "zkoumame"}], ",", " ", 
     RowBox[{"vraci", "-", 
      RowBox[{"li", " ", 
       RowBox[{"(", 
        RowBox[{"obecne", " ", "komplexni"}], ")"}], " ", "cislo"}]}]}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"POZOR", "!!"}], "!"}], " ", "nezkousejte", " ", "Cz"}], "=", 
      "0"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"impedance", " ", "kondenzatoru", " ", "je", " ", 
        FractionBox["1", 
         RowBox[{"I", "*", "\[Omega]", "*", "Cz"}]], " ", "a", " ", "dostali",
         " ", "bychom", " ", "chybovou", " ", "hlasku", " ", "o", " ", 
        "ComplexInfinity"}], "..."}], " ", "to", " ", "ostatne", " ", 
      "odpovida", " ", "prirode"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{
       "zadne", " ", "dva", " ", "vodice", " ", "nemaji", " ", "vuci", " ", 
        "sobe", " ", "zcela", " ", "nulovou", " ", "kapacitu"}], "..."}], " ",
       "i", " ", "kdyz", " ", "jste", " ", "ted", " ", "od", " ", "Kyncla", 
      " ", "daleko"}], ",", " ", 
     RowBox[{
     "mate", " ", "vuci", " ", "nemu", " ", "malililinkatou", " ", 
      "kapacitu"}], ",", " ", 
     RowBox[{"ale", " ", "nenulovou"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"uz", "[", "0.123", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7964606015*^9, 3.796460932484375*^9}, {
  3.796461041703125*^9, 3.796461045125*^9}, {3.7964640256875*^9, 
  3.796464054625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"vsimnete", " ", "si"}], ",", " ", 
    RowBox[{"ze", " ", "musime", " ", "pouzit", " ", "Set"}], ",", " ", 
    RowBox[{
     RowBox[{"tedy", " ", 
      RowBox[{"uz", "[", "Cz_", "]"}]}], "=", 
     RowBox[{"Uz", "/.", "reseni"}]}], ",", " ", 
    RowBox[{"pouziti", " ", "SetDelayed"}], ",", " ", 
    RowBox[{
     RowBox[{"tedy", " ", 
      RowBox[{"uz", "[", "Cz_", "]"}]}], ":=", 
     RowBox[{"Uz", "/.", 
      RowBox[{"reseni", "  ", "nefunguje"}]}]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"vyzkousejte", " ", "si", " ", "to"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"nabidka", ":", " ", 
     RowBox[{"kdo", " ", "vymysli", " ", "a", " ", "posle", "  ", "na", " ", 
      RowBox[{
       RowBox[{"kyncl", "@", "fel"}], ".", "cvut", ".", "cz"}], " ", 
      "srozumitelne", " ", "vysvetleni"}]}], ",", " ", 
    RowBox[{
    "proc", " ", "je", " ", "nutno", " ", "Set", " ", "a", " ", "ne", " ", 
     "SetDelayed"}], ",", " ", 
    RowBox[{"dostane", " ", "body"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"vysvetleni", " ", "posilejte", " ", "primo", " ", "Kynclovi"}], 
    ",", " ", 
    RowBox[{"ne", " ", "doktorandum"}], ",", " ", 
    RowBox[{"nejhezci", " ", "vysvetleni", " ", "zverejnime"}]}], 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.796460940296875*^9, 3.79646116409375*^9}, 
   3.79646410459375*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"reseni", " ", "ukolu", " ", "a"}], ")"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Print", "[", 
   RowBox[{"\"\<pro c= 47 \[Mu]F je Abs[Uz]= \>\"", ",", 
    RowBox[{"Abs", "[", 
     RowBox[{"uz", "[", 
      RowBox[{"47", "*", 
       SuperscriptBox["10", 
        RowBox[{"-", "6"}]]}], "]"}], "]"}], ",", "\"\< V\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.796461179671875*^9, 3.796461235234375*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"reseni", " ", "ulohy", " ", "b"}], ")"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"c325V", "=", 
     RowBox[{"Cz", "/.", 
      RowBox[{"FindRoot", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Abs", "[", 
          RowBox[{"uz", "[", "Cz", "]"}], "]"}], "\[Equal]", 
         RowBox[{"230", "*", 
          SqrtBox["2."]}]}], ",", 
        RowBox[{"{", 
         RowBox[{"Cz", ",", 
          SuperscriptBox["10", 
           RowBox[{"-", "6"}]]}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<pro zadane Abs[Uz]  musi byt c= \>\"", ",", 
      FractionBox["c325V", 
       SuperscriptBox["10", 
        RowBox[{"-", "6"}]]], ",", "\"\< \[Mu]F\>\""}], "]"}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.79591868240625*^9, 3.795918891375*^9}, {
   3.795919162171875*^9, 3.79591917546875*^9}, 3.795920081359375*^9, 
   3.7964584313125*^9, 3.79645898496875*^9, {3.79646125803125*^9, 
   3.796461337625*^9}, 3.79646412790625*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"reseni", " ", "ulohy", " ", "c"}], ")"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Abs", "[", 
     RowBox[{"uz", "[", "Cz", "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"Cz", ",", "0", ",", 
      RowBox[{"1.5", "*", 
       SuperscriptBox["10", 
        RowBox[{"-", "4"}]]}]}], "}"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<Cz [F]\>\"", ",", "\"\<Abs[Uz] [V]\>\""}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Red", ",", "Thick"}], "}"}]}], ",", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.79591891290625*^9, 3.795919010796875*^9}, 
   3.79591982465625*^9, {3.796461349296875*^9, 3.7964614569375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"reseni", " ", "ulohy", " ", "c"}], ")"}], " ", "hezceji"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"proc", " ", 
     RowBox[{"hezceji", "?", " ", "Oba"}], " ", "jsou", " ", "preci", " ", 
     RowBox[{"spravne", "!"}], " ", "Ovsem", " ", "elektrikari", " ", "jsou", 
     " ", "zvykli", " ", "spise", " ", "na", " ", "140", "\[Mu]F", " ", "nez",
      " ", "0.00014", "F"}], ",", " ", 
    RowBox[{
    "pri", " ", "obhajobe", " ", "bakalarky", " ", "by", " ", "vam", " ", 
     "to", " ", "nekdo", " ", "mohl", " ", "vytknout"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Abs", "[", 
     RowBox[{"uz", "[", 
      RowBox[{"Cz", "*", 
       SuperscriptBox["10", 
        RowBox[{"-", "6"}]]}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"Cz", ",", "0", ",", 
      RowBox[{
       SuperscriptBox["10", "6"], "*", "1.5", "*", 
       SuperscriptBox["10", 
        RowBox[{"-", "4"}]]}]}], "}"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<Cz [\[Mu]F]\>\"", ",", "\"\<Abs[Uz] [V]\>\""}], "}"}]}], 
    ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Red", ",", "Thick"}], "}"}]}], ",", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.79591909121875*^9, 3.795919147203125*^9}, 
   3.796461345703125*^9, {3.796461482734375*^9, 3.796461515390625*^9}, {
   3.79646320553125*^9, 3.796463213203125*^9}, {3.796463399109375*^9, 
   3.7964634059375*^9}, {3.7964641485*^9, 3.7964642066875*^9}}]
},
WindowSize->{1068, 641},
WindowMargins->{{32, Automatic}, {Automatic, 21}},
PrivateNotebookOptions -> {
 "VersionedStylesheet" -> {"Default.nb"[8.] -> False}},
Magnification->1.7000001668930054`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 551, 13, 107, "Input"],
Cell[1111, 35, 4627, 120, 742, "Input"],
Cell[5741, 157, 583, 16, 136, "Input"],
Cell[6327, 175, 5526, 139, 734, "Input"],
Cell[11856, 316, 1512, 43, 279, "Input"],
Cell[13371, 361, 480, 11, 107, "Input"],
Cell[13854, 374, 796, 21, 136, "Input"],
Cell[14653, 397, 1683, 41, 281, "Input"],
Cell[16339, 440, 1262, 32, 165, "Input"],
Cell[17604, 474, 1329, 32, 194, "Input"],
Cell[18936, 508, 2785, 68, 522, "Input"],
Cell[21724, 578, 1495, 39, 223, "Input"],
Cell[23222, 619, 485, 14, 82, "Input"],
Cell[23710, 635, 1128, 32, 180, "Input"],
Cell[24841, 669, 958, 26, 114, "Input"],
Cell[25802, 697, 1772, 45, 230, "Input"]
}
]
*)

