(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     14903,        412]
NotebookOptionsPosition[     14295,        390]
NotebookOutlinePosition[     14759,        408]
CellTagsIndexPosition[     14716,        405]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.795918162671875*^9, 3.795918175078125*^9}, {
  3.79591830696875*^9, 3.795918307390625*^9}, {3.79591845759375*^9, 
  3.795918458609375*^9}},
 ExpressionUUID -> "c1754577-7b23-450e-91b5-9be5e68cd5db"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "poznamky", " ", "k", " ", "impedancim", " ", "a", " ", "teorii", " ", 
     "jsou", " ", "v", " ", "notebooku", " ", "ulohaHUS"}], "-", 
    RowBox[{"neStrucne", ".", "nb"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Omega]", "=", "314."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"u1", "[", "t_", "]"}], ":=", 
     RowBox[{
      SqrtBox["2."], "*", "230", "*", 
      RowBox[{"Sin", "[", 
       RowBox[{
        RowBox[{"\[Omega]", "*", "t"}], "+", "0.1"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"u2", "[", "t_", "]"}], ":=", 
     RowBox[{
      SqrtBox["2."], "*", "230", "*", 
      RowBox[{"Sin", "[", 
       RowBox[{
        RowBox[{"\[Omega]", "*", "t"}], "-", "0.1"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"U1", "=", 
     RowBox[{
      SqrtBox["2."], "*", "230", "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"+", "0.1"}], "*", "I"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"U2", "=", 
     RowBox[{
      SqrtBox["2."], "*", "230", "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "0.1"}], "*", "I"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"R1", "=", "1."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"R2", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mH", "=", "0.001"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"L1", "=", 
     RowBox[{"10", "mH"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"L2", "=", 
     RowBox[{"10", "mH"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Rz", "=", "15"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Lz", "=", 
     RowBox[{"50", "mH"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.79591817990625*^9, 3.79591823984375*^9}, {
   3.795918280421875*^9, 3.795918338796875*^9}, {3.79591836903125*^9, 
   3.795918388828125*^9}, 3.795918422625*^9, {3.795918473*^9, 
   3.795918581921875*^9}, {3.795918623*^9, 3.79591862825*^9}, {
   3.795918667125*^9, 3.7959186705*^9}, {3.795919041671875*^9, 
   3.79591906025*^9}, {3.79646170596875*^9, 3.79646174215625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"jsme", "-", 
     RowBox[{"li", " ", "jiz", " ", "trochu", " ", "zkusenejsi"}]}], ",", " ", 
    RowBox[{
    "muzeme", " ", "napsat", " ", "jiz", " ", "rovnici", " ", "jedinou"}]}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"jedinou", " ", "proto"}], ",", " ", 
    RowBox[{
    "ze", " ", "pokud", " ", "spojime", " ", "R1", " ", "a", " ", "L1", " ", 
     "a", " ", "R2", " ", "a", " ", "L2", " ", "do", " ", "vzdy", " ", 
     "jedne", " ", "impedance"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "mame", " ", "jediny", " ", "uzel", " ", "s", " ", "neznamym", " ", 
       "napetim"}], "..."}], " ", "a", " ", "rovnice", " ", "nasi", " ", 
     "metody", " ", "uzlovych", " ", "napeti", " ", "hledaji", " ", "neznama",
      " ", "napeti"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"v", " ", "notebooku", " ", "ulohaHUS"}], "-", 
     RowBox[{
      RowBox[{"neStrucne", ".", "nb"}], " ", "je", " ", "spousta", " ", 
      "rovnic", " ", "velmi", " ", "elementarnich"}]}], ",", " ", 
    RowBox[{
    "ktere", " ", "jde", " ", "vyresit", " ", "i", " ", "jen", " ", 
     "pojmenovanim", " ", "promennych"}], ",", " ", 
    RowBox[{
     RowBox[{"napriklad", " ", "uzela"}], "=", 
     RowBox[{"iR1", "\[Equal]", "iL1"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"uzelb", "=", 
     RowBox[{"iR2", "\[Equal]", "iL2"}]}], ",", " ", 
    RowBox[{"budou", "-", 
     RowBox[{
     "li", " ", "se", " ", "proudy", " ", "jmenovat", " ", "stejne"}]}], ",", 
    " ", 
    RowBox[{
    "jsou", " ", "rovnice", " ", "vyresene", " ", "a", " ", "tudiz", " ", 
     "zbytecne"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"take", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
       "vysvetleno", " ", "podrobne", " ", "ve", " ", "skriptech", " ", "a", 
        " ", "strucne", " ", "v", " ", "notebooku", " ", "ulohaHUS"}], "-", 
       RowBox[{"neStrucne", ".", "nb"}]}], ")"}], " ", "muzeme", " ", 
     "seriovou", " ", "kombinaci", " ", "odporu", " ", "R1", " ", "a", " ", 
     "civky", " ", "L1", " ", "nahradit", " ", "jednou", " ", "impedanci", 
     " ", "R1"}], "+", 
    RowBox[{
    "I", "*", "\[Omega]", "*", "L1", " ", "a", " ", "stejne", " ", "i", " ", 
     "indexy", " ", "2"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "paralelni", " ", "kobinaci", " ", "vas", " ", "jeste", " ", "nechceme", 
     " ", "zatezovat", " ", 
     RowBox[{"(", 
      RowBox[{"prijde", " ", "pozdeji"}], ")"}], " ", "jsme", " ", "obesli", 
     " ", "souctem", " ", 
     RowBox[{"proudu", ":", " ", 
      RowBox[{
       FractionBox["Uz", "Rz"], " ", "je", " ", "proud", " ", "rezistorem", 
       " ", "Rz"}]}]}], ",", " ", 
    RowBox[{
     FractionBox["Uz", 
      RowBox[{"I", "*", "\[Omega]", "*", "Lz"}]], " ", "je", " ", "proud", 
     " ", "tekouci", " ", "civkou", " ", "Lz", " ", "a", " ", 
     FractionBox["Uz", 
      FractionBox["1", 
       RowBox[{"I", "*", "\[Omega]", "*", "Cz"}]]], " ", "je", " ", "proud", 
     " ", "tekouci", " ", "kondenzatorem", " ", "Cz"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"rovnice", " ", "uzlu", " ", "je", " ", "pak", " ", "jedna"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"pro", " ", "zvidave", " ", 
       RowBox[{"hlavy", ":", " ", 
        RowBox[{
        "mnozi", " ", "jste", " ", "jiz", " ", "neco", " ", "o", " ", 
         "obvodech", " ", "slyseli", " ", "a", " ", "mozne", " ", "vam", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"jako", " ", "mne", " ", "ve", " ", "vasem", " ", "veku"}],
            ",", " ", 
           RowBox[{"tedy", " ", "v", " ", 
            RowBox[{"plusquamperfectu", ":", "-"}]}]}], ")"}]}]}]}], " ", ")"}
      ], " ", "obvody", " ", "pripadaly", " ", "jako", " ", "spousta", " ", 
     "pravidel"}], ",", " ", 
    RowBox[{
    "pro", " ", "paralelni", " ", "a", " ", "seriove", " ", "razeni"}], ",", 
    " ", 
    RowBox[{"smyckove", " ", "proudy", " ", 
     RowBox[{"atd", ".", " ", "Tuto"}], " ", "spoustu", " ", "pravidel", " ", 
     "je", " ", "dobre", " ", "znat", " ", "pro", " ", 
     StyleBox["porozumeni",
      FontSlant->"Italic"], " ", "obvodum"}], ",", " ", 
    RowBox[{"ale", " ", "neni", " ", "to", " ", "nutne", " ", "pro", " ", 
     StyleBox["reseni",
      FontSlant->"Italic"], " ", "obvodu"}], ",", " ", 
    RowBox[{
    "vsechno", " ", "je", " ", "obsazeno", " ", "uz", " ", "v", " ", "metode",
      " ", "uzlovych", " ", "napeti"}], ",", " ", 
    RowBox[{
    "tedy", " ", "i", " ", "seriove", " ", "a", " ", "paralelni", " ", 
     "razeni", " ", "je", " ", "v", " ", "ni", " ", "obsazeno"}], ",", " ", 
    RowBox[{
    "napriklad", " ", "ve", " ", "skriptech", " ", "najdete", " ", 
     "kapitolku", " ", "\"\<spojovani soucastek stejneho typu\>\""}], ",", 
    " ", 
    RowBox[{"kde", " ", "je", " ", "to", " ", "odvozeno", " ", 
     RowBox[{"(", 
      RowBox[{"v", " ", "prilozenem", " ", "notebooku"}], ")"}]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "dalsi", " ", "metody", " ", "vas", " ", "nauci", " ", "kolegove", " ", 
     "z", " ", "katedry", " ", "obvodu", " ", "a", " ", "lepe"}], ",", " ", 
    RowBox[{"nez", " ", "by", " ", "to", " ", "udelal", " ", "Kyncl"}], ",", 
    " ", 
    RowBox[{
    "nicmene", " ", "i", " ", "kolegove", " ", "z", " ", "katedry", " ", 
     "elektroenergetiky", " ", "se", " ", "ve", " ", "slozitejsich", " ", 
     "pripadech", " ", "vrati", " ", "k", " ", "nasi", " ", "metode"}], ",", 
    " ", 
    RowBox[{"protoze", " ", "je", " ", "spolehliva"}], ",", " ", 
    RowBox[{
    "\"\<trotlfest\>\"", " ", "a", " ", "snadno", " ", "implementovatelna", 
     " ", "do", " ", "ruznych", " ", "SW"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"rce", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox[
         RowBox[{"U1", "-", "Uz"}], 
         RowBox[{"R1", "+", 
          RowBox[{"I", "*", "\[Omega]", "*", "L1"}]}]], "+", 
        FractionBox[
         RowBox[{"U2", "-", "Uz"}], 
         RowBox[{"R2", "+", 
          RowBox[{"I", "*", "\[Omega]", "*", "L2"}]}]]}], "\[Equal]", 
       RowBox[{
        FractionBox["Uz", "Rz"], "+", 
        FractionBox["Uz", 
         RowBox[{"I", "*", "\[Omega]", "*", "Lz"}]], "+", 
        FractionBox["Uz", 
         FractionBox["1", 
          RowBox[{"I", "*", "\[Omega]", "*", "Cz"}]]]}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"blizsi", " ", "poznamky", " ", "viz", " ", "ulohaHUS"}], "-", 
     RowBox[{"neStrucne", ".", "nb"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"uz", "[", "Cz_", "]"}], "=", 
     RowBox[{"Uz", "/.", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{"rce", ",", "Uz"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c325V", "=", 
     RowBox[{"Cz", "/.", 
      RowBox[{"FindRoot", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Abs", "[", 
          RowBox[{"uz", "[", "Cz", "]"}], "]"}], "\[Equal]", 
         RowBox[{"230", "*", 
          SqrtBox["2."]}]}], ",", 
        RowBox[{"{", 
         RowBox[{"Cz", ",", 
          SuperscriptBox["10", 
           RowBox[{"-", "6"}]]}], "}"}]}], "]"}]}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.79591868240625*^9, 3.795918891375*^9}, {
   3.795919162171875*^9, 3.79591917546875*^9}, 3.795920081359375*^9, 
   3.796458990828125*^9, {3.7964615426875*^9, 3.796461613875*^9}, {
   3.79646175340625*^9, 3.79646175575*^9}, {3.79646227353125*^9, 
   3.796462292921875*^9}, {3.796462419546875*^9, 3.79646317234375*^9}, {
   3.796464243671875*^9, 3.7964643109375*^9}, {3.796464585375*^9, 
   3.796464613734375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"uloha", " ", "a"}], ")"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Print", "[", 
   RowBox[{"\"\<pro c= 47 \[Mu]F je Abs[Uz]= \>\"", ",", 
    RowBox[{"Abs", "[", 
     RowBox[{"uz", "[", 
      RowBox[{"47", "*", 
       SuperscriptBox["10", 
        RowBox[{"-", "6"}]]}], "]"}], "]"}], ",", "\"\< V\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.79591909121875*^9, 3.795919147203125*^9}, {
  3.79646167525*^9, 3.79646168178125*^9}, {3.796462113953125*^9, 
  3.79646212209375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"uloha", " ", "b"}], ")"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Print", "[", 
   RowBox[{"\"\<pro zadane Abs[Uz]  musi byt c= \>\"", ",", 
    FractionBox["c325V", 
     SuperscriptBox["10", 
      RowBox[{"-", "6"}]]], ",", "\"\< \[Mu]F\>\""}], "]"}]}]], "Input",
 CellChangeTimes->{{3.79591918053125*^9, 3.795919226125*^9}, {
  3.79646212775*^9, 3.796462135640625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"reseni", " ", "ulohy", " ", "c"}], ")"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Abs", "[", 
     RowBox[{"uz", "[", "Cz", "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"Cz", ",", "0", ",", 
      RowBox[{"1.5", "*", 
       SuperscriptBox["10", 
        RowBox[{"-", "4"}]]}]}], "}"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<Cz [F]\>\"", ",", "\"\<Abs[Uz] [V]\>\""}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Red", ",", "Thick"}], "}"}]}], ",", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"reseni", " ", "ulohy", " ", "c"}], ")"}], " ", "hezceji"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Abs", "[", 
     RowBox[{"uz", "[", 
      RowBox[{"Cz", "*", 
       SuperscriptBox["10", 
        RowBox[{"-", "6"}]]}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"Cz", ",", "0", ",", 
      RowBox[{
       SuperscriptBox["10", "6"], "*", "1.5", "*", 
       SuperscriptBox["10", 
        RowBox[{"-", "4"}]]}]}], "}"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<Cz [\[Mu]F]\>\"", ",", "\"\<Abs[Uz] [V]\>\""}], "}"}]}], 
    ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Red", ",", "Thick"}], "}"}]}], ",", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}]], "Input"]
},
WindowSize->{1068, 641},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrivateNotebookOptions -> {
 "VersionedStylesheet" -> {"Default.nb"[8.] -> False}},
Magnification->1.7000001668930054`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 551, 13, 107, "Input"],
Cell[1111, 35, 2312, 67, 421, "Input"],
Cell[3426, 104, 8040, 196, 1156, "Input"],
Cell[11469, 302, 558, 15, 82, "Input"],
Cell[12030, 319, 443, 11, 108, "Input"],
Cell[12476, 332, 824, 24, 114, "Input"],
Cell[13303, 358, 988, 30, 143, "Input"]
}
]
*)

